#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QtMultimedia>
#include <QAudioFormat>
#include <QAudioInput>
#include <QAudioOutput>
#include <QSound>
#include <QIODevice>
using namespace std;

#define SOUND_BUFFER_SIZE 0xffff

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT
    
public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();

    
private slots:
    void on_toolButton_Record_Stop_clicked();
    void data2Read();
    void stateChanged(QAudio::State state);


private:
    Ui::Widget *ui;

    // pour le son
    QAudioInput *audioInput;        // to get the sound
    QAudioFormat format;            // the audio format
    QAudioDeviceInfo info;          // info on the sound board
    QIODevice *inputDevice;

    // le buffer de réception
    uchar *dataSound;
    };
#endif // WIDGET_H
